openSUSE Security Update : libcroco (openSUSE-2020-780)

medium Nessus Plugin ID 137229

Language:

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libcroco fixes the following issues :

Security issues fixed :

- CVE-2017-8834: Fixed denial of service (memory allocation error) via a crafted CSS file (bsc#1043898).

- CVE-2017-8871: Fixed denial of service (infinite loop and CPU consumption) via a crafted CSS file (bsc#1043899).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected libcroco packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1043898

https://bugzilla.opensuse.org/show_bug.cgi?id=1043899

Plugin Details

Severity: Medium

ID: 137229

File Name: openSUSE-2020-780.nasl

Version: 1.3

Type: local

Agent: unix

Published: 6/8/2020

Updated: 8/13/2020

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: High

Base Score: 7.1

Temporal Score: 5.6

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libcroco, p-cpe:/a:novell:opensuse:libcroco-0_6-3, p-cpe:/a:novell:opensuse:libcroco-0_6-3-32bit, p-cpe:/a:novell:opensuse:libcroco-0_6-3-32bit-debuginfo, p-cpe:/a:novell:opensuse:libcroco-0_6-3-debuginfo, p-cpe:/a:novell:opensuse:libcroco-debuginfo, p-cpe:/a:novell:opensuse:libcroco-debugsource, p-cpe:/a:novell:opensuse:libcroco-devel, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 6/7/2020

Vulnerability Publication Date: 6/12/2017

Reference Information

CVE: CVE-2017-8834, CVE-2017-8871